Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class PluginDependency

    java.lang.Object
      |
      +--com.bea.wlpi.common.plugin.InfoObject
            |
            +--com.bea.wlpi.common.plugin.PluginDependency

public final class PluginDependency
extends InfoObject

Provides information about a plugin's dependencies.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.wlpi.common.plugin.InfoObject
`classNames, description, ID, name, pluginName`

Constructor Summary
`PluginDependency(java.lang.String pluginName, java.lang.String description, java.lang.String masterPluginName, java.lang.String vendor, VersionInfo version)` Create a new `PluginDependency`.

Method Summary
`java.lang.String` | `getMasterPluginName()` Returns the master plugin name that this plugin depends on.
`java.lang.String` | `getVendor()` The name of the master plugin vendor.
`VersionInfo` | `getVersion()` The master plugin version required.

Methods inherited from class com.bea.wlpi.common.plugin.InfoObject
`compareTo, equals, getClassName, getDescription, getID, getName, getPluginName, imageStreamToByteArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginDependency

    public PluginDependency(java.lang.String pluginName,
                            java.lang.String description,
                            java.lang.String masterPluginName,
                            java.lang.String vendor,
                            VersionInfo version)

  Create a new `PluginDependency`.

  Parameters:
    `pluginName` - The reverse-DNS name of the dependent plugin.
    `description` - The localized description of the dependent plugin.
    `masterPluginName` - The reverse-DNS name of the master plugin.
    `vendor` - The master plugin vendor's name.
    `version` - The master plugin version required.

Method Detail

### getVendor

    public java.lang.String getVendor()

  The name of the master plugin vendor.

  Returns:
    The plugin vendor.

### getVersion

    public VersionInfo getVersion()

  The master plugin version required.

  Returns:
    Plugin version.

### getMasterPluginName

    public java.lang.String getMasterPluginName()

  Returns the master plugin name that this plugin depends on.

  Returns:
    Plugin version.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)